<?php
session_start();
include ('conn/conn.php');

// Check if the user is logged in
    if (isset($_SESSION['user_id'])) {
    $user_id = $_SESSION['user_id'];

    // Fetch the user's name from the database
    $stmt = $conn->prepare("SELECT `name` FROM `tbl_user` WHERE `user_id` = :user_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->execute();
    
    if ($stmt->rowCount() > 0) {
        $row = $stmt->fetch();
        $user_name = $row['name'];
    }

    ?>


<!doctype html>
<html lang="en">
<head> 
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1"> 
	<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"> 
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <title>MICRO DATA VIEWER</title>
    <link rel = "icon" type = "png" sizes = "20x20" href = "bs-logo.png">
    <script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
</head>
<body>

<div class="container-fluid mt-2">
	
	 <nav class="navbar navbar-expand-sm navbar-dark bg-dark p-2 rounded"> 
    <a class="navbar-brand" href="#">
      <img src="bs-logo.png" style="width:40px;" class="rounded-pill"> 
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="mynavbar">
      <ul class="navbar-nav me-auto">
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)">Bangladesh Bureau of Statistics;</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)">Computer Wing : :</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)"><b style="color:Green;">MICRO DATA VIEWER</b></a>
        </li>
      </ul>
	  
	
      <form class="d-flex"> 
        <button class="btn btn-info btn-sm me-2" type="button"><a class="nav-link" href="tabular_admin.php"> Tabular View </a></button>
        <button class="btn btn-danger btn-sm" type="button"><a class="nav-link" href="logout.php"> Logout </a></button>
      </form>
    </div>
   
</nav> 
 
        <div class="row bg-white">
            <div class="col-md-12 mb-3">
                <div class="card mt-2">
                    <div class="card-header">
                       <h3 style="color:Green;"><b><center>NATIONAL THALASSEMIA SURVEY, 2023</center></b></h3>
                 </div>

<!-------------------------SURVEY STATISTICS [BANGLADESH]------------------------>                    
<div class="container-fluid">
  <div class="row text-center ">  
  <div class="col-sm-12 p-3 ">
        <div class="border rounded"> 
      <h4 style="color:Tomato;"><strong> BANGLADESH </strong></h4>
      <h4 style="color:Tomato;">[Approx.]</h4>  
    </div>
      </div>   
    
    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
      <h4><i class="fa fa-spinner fa-spin fa-1x fa-fw text-primary disply-3"></i><br> Total PSUs <br> <b>434</b></h4>
         </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 

        
      <!--<h4> Total Enumerator <br> <b> 503 </b>  </h4> -->
      <h4><i class="fa fa-pencil-square-o text-primary disply-3"></i><br> Total Enumerators <br> <b>434</b></h4>
      <!--<h4> <i class="fa fa-calendar-minus-o text-danger disply-3"></i><br> Total Enumerator <b> -->
      </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-book text-primary disply-3"></i><br>Enumerated PSUs <br> <b>   
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `hh_info` ");
        $row = $sql->fetch_assoc();
        echo $row['gtotal'];
      ?>

    </b>  </h4>
      </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-home text-primary disply-3"></i><br> Enumerated HH <br> <b>   
        <!--<h4> Enumerated HH <br> <b> -->
    
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `hh_info`");
        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>
    
    
    </b>  </h4>
      </div>
    </div>


        <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-male text-primary disply-3"></i><br> Male Headed HH <br> <b>
        <!--<h4>  Male Headed HH <br> <b> --> 
        
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `hh_info` where SEX_HR = 1 and RELATION_HR = 1 ");

        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>

    
    
    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
      <!--<h4>  Female Headed HH <br> <b> -->
      <h4> <i class="fa fa-female text-primary disply-3"></i><br> Female Headed HH <br> <b>        
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `hh_info` where SEX_HR = 2 and RELATION_HR = 1 ");
        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
        //echo $row['gtotal'];
      ?>

    </b>  </h4>
      </div>
    </div>

        
       
    <div class="col-sm-3 mb-2">
      <div class="border rounded p-2"> 
        <h4> <i class="fa fa-hospital-o text-danger disply-3"></i><br>HH with Thalassemia Patient <br> <b>        
       
        <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `presence_of_th` where Q3_2 = 1 ");
        //$sql = $con->query("SELECT SUM(a. female_hh) gtotal FROM (SELECT psu_id, COUNT(q2_0) female_hh FROM house_info where q2_11>0 group BY psu_id) a ");

        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
        ?>
        </b>  </h4>
      </div>
    </div>


    
       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-medkit text-primary disply-3"></i><br> Blood Sample Doned HH <br> <b>   
        
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `blood_dnrs_info` where Q4_1 > 0 ");

      $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>



       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-users text-primary disply-3"></i><br>Knowned Respondant Nos About Thalassemia<br> <b>   
        
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `THALASSEMIA_Q` where Q5_1 = 1 ");

      $row = $sql->fetch_assoc();
      echo number_format($row['gtotal']);
      //echo $row['gtotal'];
      ?>
    </b>  </h4>
      </div>
    </div>



   
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
      <!--<h4>  Average HH per PSUs <br> <b> -->
      <h4><i class="fa fa-home text-primary disply-3"></i><br>HH as Married to Close Relative<br> <b>     
      <?php 
      $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `presence_of_th` where Q3_1 = 1 ");
  //  $sql = $con->query("SELECT distinct a.TOT_HH/b.PSU_NOS gtotal from (SELECT count(`q2_0`) as TOT_HH FROM `house_info` where (q2_5 = 1 or q2_5 = 2) and q2_0 > 0) a, (SELECT count(distinct `psu_id`) as PSU_NOS FROM `house_info`) b ");
    

        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>



       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 

          <!--<h4>  GPS Captured HH (Nos) <br> <b> -->
          <h4> <i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw text-danger disply-3"></i><br> GPS Captured HH <br> <b>
      <?php 
        $sql = $con->query("SELECT count(distinct `level-1-id`) as gtotal FROM `IDENTITY` where LATITUDE_AI > 2 and LONGITUDE_AI > 2 ");

        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);

      ?>

    </b>  </h4>
      </div>
    </div>

    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 

          <!--<h4>  GPS Captured HH (Nos) <br> <b> -->
          <h4> <i class="fa fa-calculator text-primary disply-3"></i><br> Overall Progress (%) <br> <b>
      <?php 

        $sql = $con->query("SELECT (SUM(a.hh_nos)/434)*100 gtotal FROM (SELECT COUNT(distinct `level-1-id`) hh_nos FROM hh_info group BY `level-1-id`) a");

        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);

      ?>

    </b>  </h4>
      </div>
    </div>

    <!-------------------------SURVEY STATISTICS [BANGLADESH]------------------------>                    
<div class="container d-none ">
  <div class="row text-center ">  
  <div class="col-sm-12 p-3 ">
        <div class="border rounded"> 
      <h4 style="color:Tomato;"><strong> DHAKA DIVISION </strong></h4>
    </div>
      </div>   
     
    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
      <h4><i class="fa fa-spinner fa-spin fa-1x fa-fw text-primary disply-3"></i><br> Total PSUs <br> <b>332</b></h4>
         </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 

        
      <!--<h4> Total Enumerator <br> <b> 503 </b>  </h4> -->
      <h4><i class="fa fa-pencil-square-o text-primary disply-3"></i><br> Total Enumerator <br> <b>132</b></h4>
      <!--<h4> <i class="fa fa-calendar-minus-o text-danger disply-3"></i><br> Total Enumerator <b> -->
      </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-book text-primary disply-3"></i><br> Enumerated PSUs <br> <b>   
      <?php 
        $sql = $con->query("SELECT count(distinct a.psu_id) as gtotal FROM house_info a, identity b where b. div_cd = 30 and a.psu_id=b.psu_id ");
        $row = $sql->fetch_assoc();
        echo $row['gtotal'];
      ?>

    </b>  </h4>
      </div>
    </div>

    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-home text-primary disply-3"></i><br> Enumerated HH <br> <b>   
        <!--<h4> Enumerated HH <br> <b> -->
    
      <?php 
        $sql = $con->query("SELECT count(a.q2_0) as gtotal FROM house_info a, identity b where (a.q2_5 = 1 or a.q2_5 = 2) and a.q2_0 > 0 and b. div_cd = 30 and a.psu_id=b.psu_id ");
        
        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>
    
    
    </b>  </h4>
      </div>
    </div>


        <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-male text-danger disply-3"></i><br> Male Headed HH <br> <b>
        <!--<h4>  Male Headed HH <br> <b> --> 
        
      <?php 
        $sql = $con->query("SELECT count(`q2_0`) as gtotal FROM `house_info` where q2_5 = 1 and q2_0 > 0 ");
        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>

    
    
    <div class="col-sm-3 mb-5">
        <div class="border rounded p-2"> 
      <!--<h4>  Female Headed HH <br> <b> -->
      <h4> <i class="fa fa-female text-danger disply-3"></i><br> Female Headed HH <br> <b>        
      <?php 
       $sql = $con->query("SELECT count(`q2_0`) as gtotal FROM `house_info` where q2_5 = 2 and q2_0 > 0 ");
        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
        //echo $row['gtotal'];
      ?>

    </b>  </h4>
      </div>
    </div>

        
       
    <div class="col-sm-3 mb-2">
      <div class="border rounded p-2"> 
        <h4> <i class="fa fa-female text-danger disply-3"></i><br> HH with Female Age 15+ <br> <b>        
       
        <?php 
        $sql = $con->query("SELECT SUM(a. female_hh) gtotal FROM (SELECT psu_id, COUNT(q2_0) female_hh FROM house_info where q2_5=2 and q2_6 >= 15 group BY psu_id) a ");

        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
        ?>
        </b>  </h4>
      </div>
    </div>


    
       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-home text-primary disply-3"></i><br> PSUs HH < 31 <br> <b>   
        <!--<h4>  PSUs HH < 31 <br> <b> -->
        
      <?php 
       $sql = $con->query("select count(s.hh_nos) gtotal from (select psu_id, count(q2_0) hh_nos from house_info group by psu_id) s where s.hh_nos < 31 ");
      $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>



       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
        <h4><i class="fa fa-home text-primary disply-3"></i><br> PSUs HH > 80 <br> <b>   
        <!--<h4>  PSUs HH > 80 <br> <b> -->
        
      <?php 
       $sql = $con->query("select count(s.hh_nos) gtotal from (select psu_id, count(q2_0) hh_nos from house_info group by psu_id) s where s.hh_nos > 80 ");
      $row = $sql->fetch_assoc();
      echo number_format($row['gtotal']);
      //echo $row['gtotal'];
      ?>
    </b>  </h4>
      </div>
    </div>



   
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 
      <!--<h4>  Average HH per PSUs <br> <b> -->
      <h4><i class="fa fa-home text-primary disply-3"></i><br> Average HH per PSUs <br> <b>     
      <?php 
      $sql = $con->query("SELECT distinct a.TOT_HH/b.PSU_NOS gtotal from (SELECT count(`q2_0`) as TOT_HH FROM `house_info` where (q2_5 = 1 or q2_5 = 2) and q2_0 > 0) a, (SELECT count(distinct `psu_id`) as PSU_NOS FROM `house_info`) b ");
    //$sql = $con->query("SELECT distinct b.TOT_HH/a.PSU_NOS gtotal from (select COUNT(DISTINCT psu_id) PSU_NOS from house_info group by psu_id) a, (SELECT COUNT(Q2_0) TOT_HH FROM house_info) b ");

        $row = $sql->fetch_assoc();
        echo number_format($row['gtotal']);
      ?>

    </b>  </h4>
      </div>
    </div>



       
    <div class="col-sm-3 mb-2">
        <div class="border rounded p-2"> 

          <!--<h4>  GPS Captured HH (Nos) <br> <b> -->
          <h4> <i class="fa fa-circle-o-notch fa-spin fa-1x fa-fw text-danger disply-3"></i><br> GPS Captured HH <br> <b>
      <?php 
        $sql = $con->query("SELECT SUM(a.gps_hh) gtotal FROM (SELECT psu_id, COUNT(latitude) gps_hh FROM house_info where latitude > 2 and longitude > 2 group BY psu_id) a");

        $row = $sql->fetch_assoc();
        //echo $row['gtotal'];
        echo number_format($row['gtotal']);

      ?>

    </b>  </h4>
      </div>
    </div>



  </div>
</div>



                </div>
            </div>
			
			


        </div>
    </div>
    </div>

    
</body>
</html>
<?php
} else {
    header("Location: index.php");
}

?>